Hacking New Game Updates Require 6.0

andyhappypants

Pika!
Member
Joined
Jul 27, 2012
Messages
562
Trophies
0
Age
42
Location
Devon
XP
1,630
Country
United Kingdom
Or is it more a case of FW 6.0 is required to connect to the eshop so therefor to update the games 6.0 is required. Ill try the MK update later via CNDSP bob and see if it is still playable on 5.1.0 :)
 

Albytrozz

Well-Known Member
OP
Member
Joined
Jun 10, 2018
Messages
265
Trophies
0
XP
644
Country
United States
Obviously they are going to be 6.0, this happens during every update. Do not update to 6.0 in general... Emunand is on its way, patience people

Well obviously it is obvious to be obviously to the point of being obvious. Nevertheless, it's handy info to know before you go updating or replacing old updates in your collection until 6.0 is fixed... obviously.
 

Garou

Well-Known Member
Member
Joined
Jan 13, 2015
Messages
1,213
Trophies
0
XP
1,627
Country
Or is it more a case of FW 6.0 is required to connect to the eshop so therefor to update the games 6.0 is required. Ill try the MK update later via CNDSP bob and see if it is still playable on 5.1.0 :)
no it really does require 6.0.0
mario.PNG
 

Garou

Well-Known Member
Member
Joined
Jan 13, 2015
Messages
1,213
Trophies
0
XP
1,627
Country
Which plugin it this for Bob?
CDNSP Bob supports plugin? have no idea
btw it's on my fork *removed*, I added an option to check required firmware when you put a title in the queue
 
Last edited by Cyan, , Reason: link to program with included keys and certs

wurstpistole

GBAtemp MVP
Member
Joined
Nov 19, 2015
Messages
4,526
Trophies
1
XP
4,523
Country
United Kingdom
Just a head's up, the newest updates for games today on CDN (like Mario Kart and ARMS) require firmware 6.0 to play.

So until 6.0 is properly dealt with I'd advise updating any games you plan to play on SX OS for the time being.
SX OS has been working on 6.0.0 for over two weeks now.
 

Reecey

Mario 64 (favorite game of all time)
Member
Joined
Mar 7, 2010
Messages
5,866
Trophies
0
Location
At Home :)
XP
3,545
Country
There are quite a few titles that need updating on 6.0> Mario Kart 8 Deluxe, Arms, Splatoon 2, Mario Tennis Aces, Mario & Rabbids Kingdom Battle, Xenoblade Chronicles 2, Monster Hunter Generations. There are probably more to be updated but at the moment I have found these and I dont think Nintendo made anyone aware of these updates! Sneaky Nintendo :ph34r:

--------------------- MERGED ---------------------------

That's a honeypotted version of firmware 6.0; the real firmware 6.0 is actually different and I hear it doesn't work.
Nearly everything works as usual on the proper 6.0FW with SXOS apart from the devmenu (nsp/xci versions) because TX turned layeredfs off default because of freezing, I'm sure that will get fixed in future updates!. The right modded joycon has a bit of a disconnection issue when you update it (if you don't it constant nags the screen) but if you reset it a few times it does go back to normal eventually. NSP files install the same as before "without any further checks" the only digital file that now checks on every opening is the new nintendo online title, it checks to make sure your subscription is active and belongs to the user so you cant go cdnsping that one, it wouldn't work trying and probably a ban would follow anyway!
 
Last edited by Reecey,
  • Like
Reactions: Albytrozz

Draxzelex

Well-Known Member
Member
Joined
Aug 6, 2017
Messages
16,236
Trophies
1
Age
27
Location
New York City
XP
11,081
Country
United States
It will get fixed, TX turned off layeredfs in the update because it was causing freezing issues. Tbh do you even really need the devmenu?
Reset required firmware version, being able to manually delete updates and DLC, its got a few interesting utilities. Oh and you can run DevMenu without LayeredFS ;)
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    KennieDaMeanie @ KennieDaMeanie: https://youtube.com/shorts/q5g6GJfl4ss?feature=share